Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
pipelines
/
{pipelineId}
/
run
Run pipeline
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId}/run \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId}/run"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/{pipelineId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "pipelineRun": {
    "id": 123,
    "steps": [
      {
        "name": "<string>",
        "transformationJob": {
          "id": 123,
          "organizationId": 123,
          "name": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "totalDownloadFileCount": 123,
          "totalDownloadFileSize": 123,
          "totalDownloadFileSizeString": "<string>",
          "totalUploadFileCount": 123,
          "transformationParallel": 123,
          "transformationSummary": {
            "startedCount": 123,
            "succeededCount": 123,
            "finishedCount": 123,
            "totalFileCount": 123,
            "totalTimeSpentSeconds": 123
          },
          "inProgress": true,
          "totalTimeSpentSeconds": 123,
          "totalTimeSpentString": "<string>",
          "uploadJobId": 123,
          "uploadJobFilesUploaded": 123,
          "projectOwner": "<string>",
          "projectId": 123,
          "projectName": "<string>",
          "transformationBlockId": 123,
          "builtinTransformationBlock": {},
          "transformationBlockName": "<string>",
          "outputDatasetName": "<string>",
          "outputDatasetBucketId": 123,
          "outputDatasetBucketPath": "<string>",
          "label": "<string>",
          "filterQuery": "<string>",
          "emailRecipientUids": [
            123
          ],
          "pipelineId": 123,
          "pipelineName": "<string>",
          "pipelineRunId": 123,
          "pipelineStep": 123,
          "createdByUser": {
            "id": 123,
            "name": "<string>",
            "username": "<string>",
            "photo": "<string>"
          }
        },
        "filter": "<string>",
        "projectId": 123,
        "newProjectName": "<string>",
        "projectApiKey": "<string>",
        "projectHmacKey": "<string>",
        "transformationBlockId": 123,
        "builtinTransformationBlock": {},
        "outputDatasetName": "<string>",
        "outputDatasetBucketId": 123,
        "outputDatasetBucketPath": "<string>",
        "label": "<string>",
        "extraCliArguments": "<string>",
        "parameters": {}
      }
    ],
    "created": "2023-11-07T05:31:56Z",
    "finished": "2023-11-07T05:31:56Z",
    "itemCountBefore": {
      "itemCount": 123,
      "itemCountChecklistOK": 123,
      "itemCountChecklistFailed": 123
    },
    "itemCountAfter": {
      "itemCount": 123,
      "itemCountChecklistOK": 123,
      "itemCountChecklistFailed": 123
    },
    "itemCountImportIntoProjectFailed": 123
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

pipelineId
integer
required

Pipeline ID

Query Parameters

ignoreLastSuccessfulRun
boolean

If set then EI_LAST_SUCCESSFUL_RUN is not set. You can use this to re-run a pipeline from scratch.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

pipelineRun
object
required
error
string

Optional error description (set if 'success' was false)